Kaspersky ID:
KLA20174
Detect Date:
01/18/2023
Updated:
01/25/2024

Description

Multiple vulnerabilities were found in Mozilla Thunderbird. Malicious users can exploit these vulnerabilities to bypass security restrictions, execute arbitrary code, spoof user interface.

Below is a complete list of vulnerabilities:

  1. Security bypass vulnerability in libusrsctp can be exploited to bypass security restrictions.
  2. Code execution vulnerability in GTK drag and drop can be exploited remotely to execute arbitrary code.
  3. Code execution vulnerability in Devtools can be exploited remotely to execute arbitrary code.
  4. Security UI vulnerability in cross-origin iframe can be exploited to spoof user interface.
  5. Security vulnerability in WebWorker can be exploited to bypass security restrictions.
  6. Security UI vulnerability in Fullscreen notification can be exploited to spoof user interface.
  7. Security vulnerability in format directive can be exploited to bypass security restrictions.
  8. Memory safety vulnerability can be exploited to execute arbitrary code.

Original advisories

Related products

CVE list

  • CVE-2022-46877
    warning
  • CVE-2022-46871
    critical
  • CVE-2023-23602
    high
  • CVE-2023-23598
    high
  • CVE-2023-23599
    high
  • CVE-2023-23605
    critical
  • CVE-2023-23603
    high
  • CVE-2023-23601
    high

Read more

Find out the statistics of the vulnerabilities spreading in your region on statistics.securelist.com

Found an inaccuracy in the description of this vulnerability? Let us know!
Kaspersky IT Security Calculator
Calculate
Check now
Learn more about cybersecurity on Kaspersky Encyclopedia
For free
Learn more
Confirm changes?
Your message has been sent successfully.